---
name: Bug Report 🐛
about: Something isn't working as expected? Report it here.
labels: bug
---

### Description

**What happened**:

**What you expected to happen**:


### Reproduction Steps
As minimally and precisely as possible, describe step-by-step how to reproduce the problem.
1.
2.
3.

### Server Details
- Teleport version (run `teleport version`):
- Server OS (e.g. from `/etc/os-release`):
- Where are you running Teleport? (e.g. AWS, GCP, Dedicated Hardware):
- Additional details:

### Client Details
- Tsh version (`tsh version`):
- Computer OS (e.g. Linux, macOS, Windows):
- Browser version (for UI-related issues):
- Installed via (e.g. apt, yum, brew, website download):
- Additional details:

### Debug Logs
Please include or attach debug logs, when appropriate. Obfuscate sensitive information!
- Start Teleport with --debug flag (`teleport --debug`)
- Run tsh with --debug flag (`tsh --debug`)


### Which platform(s)
- [ ] Teleport Open Source
- [ ] Teleport Cloud
- [x] Teleport Enterprise
- [ ] Other

### Which component(s)
- [x] Server Access
- [ ] Kubernetes Access
- [ ] Application Access
- [ ] Database Access
- [ ] CLI Clients
- [ ] Web Clients
- [ ] Other
